diff --git a/Client/Client/Assets/Scripts/Weather/WeatherManager.cs b/Client/Client/Assets/Scripts/Weather/WeatherManager.cs
index df0fba7..efe2a69 100644
--- a/Client/Client/Assets/Scripts/Weather/WeatherManager.cs
+++ b/Client/Client/Assets/Scripts/Weather/WeatherManager.cs
@@ -5,19 +5,58 @@ using System.Collections.Generic;
 using UnityEngine;
 using UnityEngine.UI;
 
+/// <summary>
+/// Manages weather status of the application
+///
+/// Author: kacerekz
+/// 
+/// </summary>
 public class WeatherManager : MonoBehaviour, WeatherObserver
 {
+
+    /// <summary>
+    /// Networking manager
+    /// </summary>
     public NetworkingManager networkingManager;
+    
+    /// <summary>
+    /// Weather provider
+    /// </summary>
     public WeatherProvider provider;
+    
+    /// <summary>
+    /// Weather data
+    /// </summary>
     public WeatherData data;
 
+
+    /// <summary>
+    /// Weather condition text
+    /// </summary>
     public Text weatherText;
+    
+    /// <summary>
+    /// Temperature text
+    /// </summary>
     public Text temperatureText;
+    
+    /// <summary>
+    /// Rain probability text
+    /// </summary>
     public Text rainText;
+
+    /// <summary>
+    /// Wind speed text
+    /// </summary>
     public Text windText;
 
+
+    /// <summary>
+    /// True if using weather set by the user
+    /// </summary>
     public bool useOwnWeather;
 
+    // Start is called at application start
     void Start()
     {
         data = new WeatherData();
@@ -27,6 +66,10 @@ public class WeatherManager : MonoBehaviour, WeatherObserver
         provider.Load();
     }
 
+    /// <summary>
+    /// Process change in weather data
+    /// </summary>
+    /// <param name="data">Weather data</param>
     public void Notify(WeatherData data)
     {
         switch (data.Weather)
@@ -50,11 +93,20 @@ public class WeatherManager : MonoBehaviour, WeatherObserver
         windText.text = $"WIND {(int)Mathf.Round((float)data.Wind)} M/S";
     }
 
+    /// <summary>
+    /// Fill a request with weather data
+    /// </summary>
+    /// <param name="request">Request to fill</param>
     public void SetWeather(Request request)
     {
         SetWeather(request, useOwnWeather);
     }
 
+    /// <summary>
+    /// Fill a request with weather data
+    /// </summary>
+    /// <param name="request">Request to fill</param>
+    /// <param name="useOwnWeather">True to use weather set by the user</param>
     public void SetWeather(Request request, bool useOwnWeather)
     {
         this.useOwnWeather = useOwnWeather;
@@ -68,6 +120,10 @@ public class WeatherManager : MonoBehaviour, WeatherObserver
         }
     }
 
+    /// <summary>
+    /// Sets weather based on a given date and time
+    /// </summary>
+    /// <param name="dateTime">Date and time</param>
     public void SetDateTime(Date dateTime)
     {
         if (!useOwnWeather)
@@ -81,6 +137,9 @@ public class WeatherManager : MonoBehaviour, WeatherObserver
         }
     }
 
+    /// <summary>
+    /// Resets weather to prediction for current date and time
+    /// </summary>
     public void Clear()
     {
         provider.Load();
diff --git a/Client/Client/Assets/Scripts/Weather/WeatherObserver.cs b/Client/Client/Assets/Scripts/Weather/WeatherObserver.cs
index c354320..89b24aa 100644
--- a/Client/Client/Assets/Scripts/Weather/WeatherObserver.cs
+++ b/Client/Client/Assets/Scripts/Weather/WeatherObserver.cs
@@ -2,7 +2,17 @@
 using System.Collections.Generic;
 using UnityEngine;
 
+/// <summary>
+/// WeatherObserver interface
+/// 
+/// Author: kacerekz
+/// 
+/// </summary>
 public interface WeatherObserver
 {
+    /// <summary>
+    /// A WeatherObserver must be able to process changes to weather data
+    /// </summary>
+    /// <param name="data">Weather data</param>
     void Notify(WeatherData data);
 }
diff --git a/Client/Client/Assets/Scripts/Weather/WeatherProvider.cs b/Client/Client/Assets/Scripts/Weather/WeatherProvider.cs
index 8b0bc1c..ee542ea 100644
--- a/Client/Client/Assets/Scripts/Weather/WeatherProvider.cs
+++ b/Client/Client/Assets/Scripts/Weather/WeatherProvider.cs
@@ -5,16 +5,44 @@ using System.Collections;
 using System.Collections.Generic;
 using UnityEngine;
 
+/// <summary>
+/// Takes care of using the weather parser to acquire predictions
+/// 
+/// Author: kacerekz
+/// 
+/// </summary>
 public class WeatherProvider
 {
+    /// <summary>
+    /// Networking manager
+    /// </summary>
     public NetworkingManager networkingManager;
+    
+    /// <summary>
+    /// Weather uri
+    /// </summary>
     public string uri = "https://wttr.in/Plzen,czechia?format=j1";
 
+    /// <summary>
+    /// Parser to use
+    /// </summary>
     private JsonParser parser;
+
+    /// <summary>
+    /// Weather data to fill
+    /// </summary>
     private WeatherData data;
 
+    /// <summary>
+    /// Date and time of most recent weather download
+    /// </summary>
     private static DateTime lastDownload = DateTime.Now.AddHours(-2);
 
+    /// <summary>
+    /// Constructor
+    /// </summary>
+    /// <param name="data">Weather data to fill</param>
+    /// <param name="networkingManager">Networking manager</param>
     public WeatherProvider(WeatherData data, NetworkingManager networkingManager)
     {
         this.data = data;
@@ -22,17 +50,20 @@ public class WeatherProvider
         parser = new JsonParser();
     }
 
+    /// <summary>
+    /// Download a prediction from the weather server
+    /// </summary>
     public void Load()
     {
         DateTime next = lastDownload.AddHours(1);
 
-        Debug.Log($"Last: {lastDownload.ToShortDateString()} {lastDownload.ToShortTimeString()}");
-        Debug.Log($"Now: {DateTime.Now.ToShortDateString()} {DateTime.Now.ToShortTimeString()}");
-        Debug.Log($"Next: {next.ToShortDateString()} {next.ToShortTimeString()}");
+        //Debug.Log($"Last: {lastDownload.ToShortDateString()} {lastDownload.ToShortTimeString()}");
+        //Debug.Log($"Now: {DateTime.Now.ToShortDateString()} {DateTime.Now.ToShortTimeString()}");
+        //Debug.Log($"Next: {next.ToShortDateString()} {next.ToShortTimeString()}");
 
         if (next < DateTime.Now)
         {
-            Debug.Log("Passing to load");
+            //Debug.Log("Passing to load");
             lastDownload = DateTime.Now;
             networkingManager.StartWeatherGet(this, uri);
         }
@@ -53,6 +84,10 @@ public class WeatherProvider
         }
     }
 
+    /// <summary>
+    /// Loads data from a weather server response
+    /// </summary>
+    /// <param name="response">Weather server response</param>
     public void LoadFromResponse(string response)
     {
         parser.ParsePrediction(response);
@@ -69,26 +104,13 @@ public class WeatherProvider
         date.hour = hour;
 
         Load(date);
-
-        //var current = parser.Current;
-
-        //if (current != null)
-        //{
-        //    var temperature = current.temp;
-        //    var rain = current.rain;
-        //    var wind = current.wind;
-        //    var weather = current.condition;
-
-        //    Debug.Log($"Wanna set: tmp={temperature}, wind={wind}, rain={rain}, weather={weather}");
-
-        //    data.SetValues(temperature, wind, rain, weather);
-        //}
-        //else
-        //{
-        //    Debug.LogError("Error loading weather.");
-        //}
     }
 
+    /// <summary>
+    /// Loads forecast for a given date and time
+    /// </summary>
+    /// <param name="dateTime">Date and time to get prediction for</param>
+    /// <returns>True if prediction for the given date and time was found</returns>
     public bool Load(Date dateTime)
     {
         var predictions = parser.Predictions;
